Description: Fetch all notifications (paginated)
Ratelimit: 5 per 10s
Permission: notifications.read

Required parameters
Name Type Description
serverId number The server id
Query parameters
Name Type Description Default
page number The page number (min: 1) 1
perpage number The limit of elements per page (min: 1, max: 100) 10
search string The search query (only first 50 characters will be considered)
sortby string The column to sort by id
sortdir string The direction to sort by (enum: asc | desc) desc
Available codes
Status Code Description
200 OK The request has been successfully completed
400 INVALID_PAGE The value doesn't follow the requirements
400 INVALID_PERPAGE The value doesn't follow the requirements
400 INVALID_SEARCH The value doesn't follow the requirements
400 INVALID_SERVER_ID The server id is invalid
400 INVALID_SORTBY The value doesn't follow the requirements
400 INVALID_SORTDIR The value doesn't follow the requirements
401 UNAUTHORIZED The token is invalid or expired
403 ACCESS_DENIED The token or the author does not have the required permissions
403 DISCORD_CONNECTION_REQUIRED You need a Discord account link to your Steam Account to access to the route
404 SERVER_NOT_FOUND The server does not exist
500 INTERNAL_ERROR An internal error has occured
Response structure
  • code: "OK"
  • data[]:
    • id: number
    • playerId: number
    • title: string
    • description: string
    • icon: string | null
    • iconUrl: string | null
    • linkUrl: string | null
    • readed: boolean
    • date: string
  • pagination:
    • currentPage: number
    • perPage: number
    • total: number
    • totalFiltered: number
    • totalOnPage: number
    • sort:
      • by: string
      • dir:
    • search: string | null

Description: Fetch all distinct notification titles for the player
Ratelimit: 5 per 10s
Permission: notifications.read

Required parameters
Name Type Description
serverId number The server id
Available codes
Status Code Description
200 OK The request has been successfully completed
400 INVALID_SERVER_ID The server id is invalid
401 UNAUTHORIZED The token is invalid or expired
403 ACCESS_DENIED The token or the author does not have the required permissions
403 DISCORD_CONNECTION_REQUIRED You need a Discord account link to your Steam Account to access to the route
404 SERVER_NOT_FOUND The server does not exist
500 INTERNAL_ERROR An internal error has occured
Response structure
  • code: "OK"

Description: Fetch unread notifications
Ratelimit: 5 per 10s
Permission: notifications.read

Required parameters
Name Type Description
serverId number The server id
Available codes
Status Code Description
200 OK The request has been successfully completed
400 INVALID_SERVER_ID The server id is invalid
401 UNAUTHORIZED The token is invalid or expired
403 ACCESS_DENIED The token or the author does not have the required permissions
403 DISCORD_CONNECTION_REQUIRED You need a Discord account link to your Steam Account to access to the route
404 SERVER_NOT_FOUND The server does not exist
500 INTERNAL_ERROR An internal error has occured
Response structure
  • code: "OK"
  • data[]:
    • id: number
    • playerId: number
    • title: string
    • description: string
    • icon: string | null
    • iconUrl: string | null
    • linkUrl: string | null
    • readed: boolean
    • date: string

Description: Delete a selection of notifications
Ratelimit: 5 per 10s
Permission: notifications.manage

Required parameters
Name Type Description
serverId number The server id
Available codes
Status Code Description
200 OK The request has been successfully completed
400 INVALID_SERVER_ID The server id is invalid
401 UNAUTHORIZED The token is invalid or expired
403 ACCESS_DENIED The token or the author does not have the required permissions
403 DISCORD_CONNECTION_REQUIRED You need a Discord account link to your Steam Account to access to the route
404 NOTIFICATION_NOT_FOUND One or more notifications were not found or do not belong to the player
404 SERVER_NOT_FOUND The server does not exist
500 INTERNAL_ERROR An internal error has occured
Response structure
  • code: "OK"

Description: Set a notification as read
Ratelimit: 5 per 10s
Permission: notifications.manage

Required parameters
Name Type Description
serverId number The server id
notificationId number The notification id to mark as read
Available codes
Status Code Description
200 OK The request has been successfully completed
400 INVALID_SERVER_ID The server id is invalid
401 UNAUTHORIZED The token is invalid or expired
403 ACCESS_DENIED The token or the author does not have the required permissions
403 DISCORD_CONNECTION_REQUIRED You need a Discord account link to your Steam Account to access to the route
404 NOTIFICATION_NOT_FOUND The notification was not found
404 SERVER_NOT_FOUND The server does not exist
500 INTERNAL_ERROR An internal error has occured
Response structure
  • code: "OK"
  • unreadNotificationsAmount: number

Description: Set a notification as unread
Ratelimit: 5 per 10s
Permission: notifications.manage

Required parameters
Name Type Description
serverId number The server id
notificationId number The notification id to mark as unread
Available codes
Status Code Description
200 OK The request has been successfully completed
400 INVALID_SERVER_ID The server id is invalid
401 UNAUTHORIZED The token is invalid or expired
403 ACCESS_DENIED The token or the author does not have the required permissions
403 DISCORD_CONNECTION_REQUIRED You need a Discord account link to your Steam Account to access to the route
404 NOTIFICATION_NOT_FOUND The notification was not found
404 SERVER_NOT_FOUND The server does not exist
500 INTERNAL_ERROR An internal error has occured
Response structure
  • code: "OK"

Description: Mark a selection of notifications as read
Ratelimit: 5 per 10s
Permission: notifications.manage

Required parameters
Name Type Description
serverId number The server id
Available codes
Status Code Description
200 OK The request has been successfully completed
400 INVALID_SERVER_ID The server id is invalid
401 UNAUTHORIZED The token is invalid or expired
403 ACCESS_DENIED The token or the author does not have the required permissions
403 DISCORD_CONNECTION_REQUIRED You need a Discord account link to your Steam Account to access to the route
404 NOTIFICATION_NOT_FOUND One or more notifications were not found or do not belong to the player
404 SERVER_NOT_FOUND The server does not exist
500 INTERNAL_ERROR An internal error has occured
Response structure
  • code: "OK"

Description: Mark a selection of notifications as unread
Ratelimit: 5 per 10s
Permission: notifications.manage

Required parameters
Name Type Description
serverId number The server id
Available codes
Status Code Description
200 OK The request has been successfully completed
400 INVALID_SERVER_ID The server id is invalid
401 UNAUTHORIZED The token is invalid or expired
403 ACCESS_DENIED The token or the author does not have the required permissions
403 DISCORD_CONNECTION_REQUIRED You need a Discord account link to your Steam Account to access to the route
404 NOTIFICATION_NOT_FOUND One or more notifications were not found or do not belong to the player
404 SERVER_NOT_FOUND The server does not exist
500 INTERNAL_ERROR An internal error has occured
Response structure
  • code: "OK"

Description: Delete a notification
Ratelimit: 5 per 10s
Permission: notifications.manage

Required parameters
Name Type Description
serverId number The server id
notificationId number The notification id to delete
Available codes
Status Code Description
200 OK The request has been successfully completed
400 INVALID_SERVER_ID The server id is invalid
401 UNAUTHORIZED The token is invalid or expired
403 ACCESS_DENIED The token or the author does not have the required permissions
403 DISCORD_CONNECTION_REQUIRED You need a Discord account link to your Steam Account to access to the route
404 NOTIFICATION_NOT_FOUND The notification was not found
404 SERVER_NOT_FOUND The server does not exist
500 INTERNAL_ERROR An internal error has occured
Response structure
  • code: "OK"